package _VisualDVM.TestingSystem.SAPFOR.SapforConfiguration.UI;
import Common.Visual.TextField.StyledTextField;
import Common.Visual.Windows.Dialog.DialogFields;
import _VisualDVM.Constants;

import javax.swing.*;
import java.awt.*;
public class SapforConfigurationFields implements DialogFields {
    public JTextField tfName;
    public JSpinner sTransformationMaxtime;
    public JSpinner sKernels;
    public JCheckBox cbGroupsOnly;
    private JPanel content;
    public SapforConfigurationFields() {
        sKernels.setModel(new SpinnerNumberModel(1, 1,
                Constants.testingMaxKernels,
                1));
    }
    //--
    @Override
    public Component getContent() {
        return content;
    }
    private void createUIComponents() {
        // TODO: place custom component creation code here
        tfName = new StyledTextField();
    }
}
